请选择 进入手机版 | 继续访问电脑版
Mozilla

火狐社区

登录    注册

QQ互联

现在是不能开发plugins了么?只能开发extensions?

暗焰烛 社区新人 发表于 2020-1-9 13:51:10 | 显示全部楼层 [复制链接]
1 961
最近读https://developer.mozilla.org/的文档有点懵,如果想要调用一些特有硬件的话,应该怎么做呢?看文档说plugins已过时,不再支持,那用WebExtensions的话怎么做?nativeMessage还是http请求、websocket请求之类的?
我看现在最新版本的火狐里还有H264和Widevine两个插件呢……具体是怎么回事有人能说清楚么?
xuyuehang Mozilla员工
发表于 2020-1-13 10:03:31 | 显示全部楼层
不能开发plugin,因为已被淘汰,建议开发扩展,也就是webextension
与本地进行通信用nativeMessage,剩下两个插件算是firefox内置用于视频播放用的
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表